=== debian/changelog ===
sockjs-client (0.3.4+dfsg-2) unstable; urgency=low

  [ Mattia Rizzolo ]
  * Team Upload.
  * debian/watch: import watch file from sepwatch.  Thanks bartm!
  * debian/control: bump Standards-Version to 3.9.6.

  [ Tonnerre LOMBARD ]
  * Modify build coffeescript to work with uglifyjs 2.0. Closes: #750719

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Dec 2015 02:17:07 +0000

sockjs-client (0.3.4+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #733821

 -- Tonnerre LOMBARD <tonnerre@ancient-solutions.com>  Tue, 31 Dec 2013 15:15:11 +0100
