=== debian/control ===
Source: sockjs-client
Section: web
Priority: optional
Maintainer: Tonnerre LOMBARD <tonnerre@ancient-solutions.com>
Build-Depends: coffeescript, debhelper (>= 9), node-optimist, node-static,
 node-uglify (>= 2.0), nodejs, libjs-json
Standards-Version: 3.9.6
Homepage: https://github.com/sockjs/sockjs-client
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/sockjs-client.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/sockjs-client.git

Package: libjs-sockjs
Architecture: all
Depends: ${misc:Depends}, libjs-json
Recommends: javascript-common
Description: WebSocket emulation - Javascript client
 SockJS is a browser JavaScript library that provides a WebSocket-like object.
 SockJS gives you a coherent, cross-browser, Javascript API which creates a low
 latency, full duplex, cross-domain communication channel between the browser
 and the web server.
 .
 Under the hood SockJS tries to use native WebSockets first. If that fails it
 can use a variety of browser-specific transport protocols and presents them
 through WebSocket-like abstractions.
 .
 SockJS is intended to work for all modern browsers and in environments which
 don't support WebSocket protocol, for example behind restrictive corporate
 proxies.
