=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/-(beta)/~$1/ \
 https://github.com/sockjs/sockjs-client/releases \
 .*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|sockjs-client(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
